Show / Hide Table of Contents

# Class HttpWebClient

Used to communicate with the server over HTTP(S)

##### Inheritance

Object
HttpWebClient

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: Titanium.Web.Proxy.Http

###### Assembly: Titanium.Web.Proxy.dll

##### Syntax

    public class HttpWebClient

### Properties

| Improve this Doc View Source

#### ConnectRequest

Headers passed with Connect.

##### Declaration

    public ConnectRequest ConnectRequest { get; }

##### Property Value

Type | Description
--- | ---
ConnectRequest |

| Improve this Doc View Source

#### IsHttps

Is Https?

##### Declaration

    public bool IsHttps { get; }

##### Property Value

Type | Description
--- | ---
Boolean |

| Improve this Doc View Source

#### ProcessId

PID of the process that is created the current session when client is running in this machine If client is remote then this will return

##### Declaration

    public Lazy<int> ProcessId { get; }

##### Property Value

Type | Description
--- | ---
Lazy<Int32> |

| Improve this Doc View Source

#### Request

Web Request.

##### Declaration

    public Request Request { get; }

##### Property Value

Type | Description
--- | ---
Request |

| Improve this Doc View Source

#### Response

Web Response.

##### Declaration

    public Response Response { get; }

##### Property Value

Type | Description
--- | ---
Response |

| Improve this Doc View Source

#### UpStreamEndPoint

Override UpStreamEndPoint for this request; Local NIC via request is made

##### Declaration

    public IPEndPoint UpStreamEndPoint { get; set; }

##### Property Value

Type | Description
--- | ---
IPEndPoint |

| Improve this Doc View Source

#### UserData

Gets or sets the user data.

##### Declaration

    public object UserData { get; set; }

##### Property Value

Type | Description
--- | ---
Object |